"use strict";

const {
  setupHusky
} = require("../utils/HuskySetup/setupHusky");
const {
  initialSetup
} = require("../setup/initialSetup");
const {
  executeMethodsThatReturnBooleanValue
} = require("../utils/General/wrapperFunctionToExecuteAFunction");
const {
  installEslintExtension
} = require("../utils/ExtensionInstallation/installEslintExtension");
const {
  installPlugins
} = require("../utils/PluginsInstallation/installPlugins");
const [,, action, ...options] = process.argv;
async function run() {
  switch (action) {
    case "setup":
      {
        await executeMethodsThatReturnBooleanValue("Some issue occurred in setting up husky.", setupHusky, null);
        break;
      }
    case "init":
      {
        initialSetup();
        break;
      }
    case "setupPlugins":
      {
        await executeMethodsThatReturnBooleanValue("Some issue occurred in installing plugins", installPlugins, null);
        break;
      }
    case "setupExtension":
      {
        await executeMethodsThatReturnBooleanValue("Kindly install eslint extension for Vscode manually.", installEslintExtension, null);
        break;
      }
    default:
      {
        break;
      }
  }
}
run();