"use strict";

const path = require('path');
const {
  execSync
} = require('child_process');
const {
  getEnv
} = require('../../General/getGeneralInfo');
const {
  executeSynchronizedCommands
} = require('../../General/executeSyncCommands');
const {
  getLibraryInstalledLocation
} = require('../../General/getLibraryInstalledLocation');
const {
  commonLinterRepoName
} = require('../../../../jsonUtils/commonLinterRepoDetails');
function getClonedDirPath() {
  return getLibraryInstalledLocation();
}
function getDeleteDirPath() {
  return path.resolve(getLibraryInstalledLocation(), commonLinterRepoName);
}
function unzipFolder(folderPath, targetFolderPath) {
  let os = getEnv();
  let extractCommandMacLinux = `unzip "${folderPath}" '-d' "${targetFolderPath}"`;
  let extractCommandWindows = `powershell -Command "Expand-Archive -Path '${folderPath}' -DestinationPath '${targetFolderPath}'"`;
  if (os === 'Darwin' || os === 'Linux') {
    return executeSynchronizedCommands(execSync, [extractCommandMacLinux], 'Linter Configuration folder extracted successfully', 'Some issue in extracting the linter configuration folder', false, true);
  } else if (os === 'Windows_NT') {
    return executeSynchronizedCommands(execSync, [extractCommandWindows], 'Linter Configuration folder extracted successfully', 'Some issue in extracting the linter configuration folder', false, true);
  }
}
module.exports = {
  getClonedDirPath,
  getDeleteDirPath,
  unzipFolder
};