"use strict";

const {
  existsSync,
  unlinkSync
} = require('fs');
const {
  Logger
} = require('../Logger/Logger');

/**
 * @function deleteFile - deletes the provided file
 * @param {string} filePath - path of file to be deleted
 */
function deleteFile(filePath) {
  if (existsSync(filePath)) {
    try {
      unlinkSync(filePath);
      Logger.log(Logger.SUCCESS_TYPE, `${filePath} deleted successfully`);
    } catch (err) {
      Logger.log(Logger.FAILURE_TYPE, err);
      throw new Error(`Error while deleting the file: ${filePath}`);
    }
  }
}
module.exports = {
  deleteFile
};