"use strict";

const fs = require('fs');
const {
  Logger
} = require('../Logger/Logger');

/**
 * @function getFileContent - retrieves the content of a file 
 * @param {string} utilsPath - path of file whose content must be retrieved 
 * @param {string} defaultPath - path to default file whose content must be retrieved if actula file not present
 * @returns {string} - content of the file provided
 */
function getFileContent(utilsPath, defaultPath = undefined) {
  try {
    return require(fs.existsSync(utilsPath) ? utilsPath : defaultPath);
  } catch (err) {
    Logger.log(Logger.FAILURE_TYPE, `path is not valid ...`);
  }
}
module.exports = {
  getFileContent
};