"use strict";

const {
  Logger
} = require("../../Logger/Logger");

/**
 * @function navigateToRootDirectory - navigates to root directory of the project
 * @param {string} rootDir - root directory of the project
 * @returns {boolean} - indicating the success or failure of navigation to root directory of the project
 */
function navigateToRootDirectory(rootDir) {
  Logger.log(Logger.INFO_TYPE, `rootDir:${rootDir}`);
  try {
    process.chdir(rootDir);
    Logger.log(Logger.SUCCESS_TYPE, "Successfully navigated to root directory");
    return true;
  } catch (error) {
    Logger.log(Logger.FAILURE_TYPE, "Couldn't navigate to root directory", error);
    return false;
  }
}
module.exports = {
  navigateToRootDirectory
};