"use strict";

const os = require('os');

/**
 * @function getTimeStampInfo - to fetch various timestamp details
 * @returns {object} - each property of the object denotes various timestamp details
 */
function getTimeStampInfo() {
  const date = new Date();
  return {
    date: date.getDate(),
    hours: date.getHours(),
    minute: date.getMinutes(),
    second: date.getSeconds(),
    month: date.getMonth() + 1,
    year: date.getFullYear()
  };
}

/**
 * @function getEnv - to fetch the os type
 * @returns {string} - indicates the os
 */
function getEnv() {
  return os.type();
}
module.exports = {
  getTimeStampInfo,
  getEnv
};