"use strict";

/* eslint-disable no-console */

const {
  execSync
} = require('child_process');
const {
  navigateToRootDirectory
} = require('../General/RootDirectoryUtils/navigateToRootDirectory');
const {
  getRootDirectory
} = require('../General/RootDirectoryUtils/getRootDirectory');
const {
  Logger
} = require('../Logger/Logger');

/**
 * @function initializeHusky - creates a .husky folder at the root of the project with the husky execution script file
 * @returns {boolean} - indicating the success or failure of initializing husky process
 */
function initializeHusky() {
  let isNavigationToRootDirectorySuccessful = navigateToRootDirectory(getRootDirectory());
  if (isNavigationToRootDirectorySuccessful) {
    try {
      execSync('npx husky install');
      return true;
    } catch (error) {
      Logger.log(Logger.FAILURE_TYPE, error.toString());
      Logger.log(Logger.FAILURE_TYPE, 'Couldn\'t initialize husky');
      return false;
    }
  }
}
module.exports = initializeHusky;